## net.percederberg.mib.type
Class Type

    java.lang.Object
      |
      +--net.percederberg.mib.type.Type

Direct Known Subclasses:
  ArrayType, CompoundType, EnumerationType, IntegerType, NamedType, ObjectIdentifierType, SnmpObjectType, SnmpTrapType, StringType

public abstract class Type
extends java.lang.Object

A class for handling type information for symbols in the MIBs.

Author:
  Per Cederberg, per@percederberg.net

Constructor Summary
`Type()`

Method Summary
`abstract boolean` `equals(java.lang.Object obj)` Checks if this type equals another.
`abstract java.lang.String` `toString()` Returns a string description of this type.
`abstract void` `transferType(TypeConverter converter)` Transfers the type information from this type to a type converter object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Type

    public Type()

Method Detail

### equals

    public abstract boolean equals(java.lang.Object obj)

  Checks if this type equals another.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - an object
  Returns:
    true if the types are equal, false otherwise

### toString

    public abstract java.lang.String toString()

  Returns a string description of this type.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string description of the type

### transferType

    public abstract void transferType(TypeConverter converter)

  Transfers the type information from this type to a type converter object. The calling conventions declared in the TypeConverter class are followed.
  Parameters:
    `converter` - a type converter